Bug 145598 - segfault on compiling read-protected file
segfault on compiling read-protected file
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Depends On:
  Show dependency treegraph
Reported: 2005-01-19 20:02 EST by John Smith
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 3.4.3-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-01-20 03:11:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description John Smith 2005-01-19 20:02:41 EST
Ridiculous bug: gcc segfaults when trying to compile a file without

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. touch a.c
2. chmod a-r a.c
3. gcc a.c

Actual Results:

cc1: a.c: Permission denied
cc1: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.

Expected Results:

Only "cc1: a.c: Permission denied".
Comment 1 Jakub Jelinek 2005-01-20 03:11:54 EST
Can't reproduce this with gcc 3.4.3-15.  Guess this was fixed by the non-existent
file ICE fix in 3.4.3-1.

Note You need to log in before you can comment on or make changes to this bug.